AddCSLuaFile("cl_init.lua")
AddCSLuaFile("shared.lua")
include('shared.lua')

function ENT:Initialize()
	self:SetModel("models/Barney.mdl") -- Standalone default model
	self:SetSolid(SOLID_BBOX)
	self:PhysicsInit(SOLID_BBOX)
	self:SetMoveType(MOVETYPE_NONE)
	self:DrawShadow(true)
	self:SetUseType(SIMPLE_USE)
	self:SetFlexWeight(10, 0)
	self:ResetSequence(3)
end

local function IsPolice(ply)
	return true
end

function ENT:Use(activator, caller)
    if self.Touched and self.Touched > CurTime() then return end
	self.Touched = CurTime() + 2

	-- Removing specific job check to allow anyone to use the jailer
	activator.LastJailerNPC = self
	net.Start("RHC_Jailer_Menu")
		net.WriteEntity(activator.Dragging)
		net.WriteString("RF")
	net.Send(activator)
    -- The else block and restriction message are removed.
    -- if not isAllowed then
    --     activator:ChatPrint("Только сотрудники исполнительной власти могут использовать этого NPC.")
    --     return
    -- end
end

function ENT:Think()
end
